#pragma semicolon 1

#include <sourcemod>
#include <sdktools>
#include <zombiereloaded>
#include <cstrike>
#include <ccc>
#include <multicolors>

bool g_bHideLennies[MAXPLAYERS + 1] = { false, ... };

char g_cLennies[23][] = {"( ͡° ͜ʖ ͡°)", "͜ʖ", "(° ͜ʖ °)", "( ͝͠°͜ل͝͠°)", "( ͡° ͜ ͡°)", "( ͡°╭͜ʖ╮͡° )", "( ͠° ͜ʖ ͡°)", "( ° ͜ʖ °)", "(╯°□°)╯", "_(ツ)_", "_ツ_", "( ̿°̿ ͜ل͜ ̿°̿ )", "( ͡", "( ͠", "( ͝", "( °", "(͡", "ಠ_ಠ", "͡°", "°͡", "ʖ", "͡", "͜"};

public Plugin myinfo =
{
	name = "AntiLenny",
	author = "Dogan",
	description = "Makes it possible to selfmute Lennies",
	version = "1.2.0",
	url = ""
}

public void OnPluginStart()
{
	RegConsoleCmd("sm_hide_lennies", HideLennies, "Toggle blocking Lennies");
}

public Action CCC_OnChatMessage(int client, int author, const char[] message)
{
	char lennies[192];
	strcopy(lennies, sizeof(lennies), message);

	CRemoveTags(lennies, 192);

	for(int i = 0; i < 23; i++)
	{
		if(g_bHideLennies[client] && StrContains(lennies, g_cLennies[i], false) != -1)
		{
			return Plugin_Handled;
		}
	}
	return Plugin_Continue;
}

public Action HideLennies(int client, int args)
{
	g_bHideLennies[client] = !g_bHideLennies[client];

	if(g_bHideLennies[client])
	{
		ReplyToCommand(client, "You blocked Lennies");
	}
	else
	{
		ReplyToCommand(client, "You unblocked Lennies");
	}
	return Plugin_Handled;
}

public void OnClientDisconnect(int client)
{
	g_bHideLennies[client] = false;
}